/**
 * TripleTester is a test driver for the Triple class.
 * 
 * @author John Dalbey
 * @version 0.1
 */
public class TripleTester
{
    /**
     * A local main for unit testing.
     *
     * @param args command line arguments
     */
    public static void main(String[] args)
    {
        // int and char are "primitive types", not Classes
        int alpha;
        char delta;
        // String and Triple are Classes, 
        String bravo;  
        Triple t1;

        alpha = 1;      
        delta = 'X';
        // bravo and t1 are actually references to objects.        
        bravo = new String("CA");
        t1 = new Triple(3,2);

        System.out.println(alpha);
        System.out.println(bravo);
        System.out.println(delta);
        System.out.println(t1);
        
        int sum = alpha + 2;    // in pure oop this would be:  alpha.add(2)
        String echo = bravo.concat("T");
        Triple t2 = new Triple(4,3);
        Triple t3 = t2.add(t1);
        System.out.println(t3.getFactors());
    }
}
